4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.ServerImp

Server repository resource class
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ServerImp |  |  |  | Fields: FTSERVER_NAMESPACE, UPDATE_STATE

## Classes

class ServerImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp)
A system server

### Methods

getStatus(self)
Returns the state of this server: running (1) or stopped (0) based on the content of the resource. No check is made to see if a server process is running.
setRunning(self)
Change the state of this server to running
setStopped(self)
Change the state of this server to stopped

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setContent, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 15

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
UPDATE_STATE = '<?xml version="1.0"?>\n<xupdate:modifications\n v...\'%s\'/></xupdate:append>\n</xupdate:modifications>\n'